/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ColaConsultor;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ColaConsultorFacadeLocal {

    void create(ColaConsultor colaConsultor);

    void edit(ColaConsultor colaConsultor);

    void remove(ColaConsultor colaConsultor);

    ColaConsultor find(Object id);

    List<ColaConsultor> findAll();

    List<ColaConsultor> findRange(int[] range);

    int count();

    ColaConsultor busquedaDespacho(String despacho);

}
